 /*****************************************************************************
 *
 *  stv6x.h - STV6x 
 *
 *  Copyright (C) 2000 Georg Acher (acher@in.tum.de)
 *
 *
 *****************************************************************************/

// Control registers of the STV0600 ASIC

#define STV_I2C_WRITE 0x400

#define STV_I2C_WRITE1 0x400

#define STV_I2C_READ 0x1410
#define STV_ISO_ENABLE 0x1440
#define STV_SCAN_RATE  0x1443

#define STV_ISO_SIZE 0x15c1
#define STV_Y_CTRL   0x15c3
#define STV_X_CTRL   0x1680

#define STV_REG00 0x1500
#define STV_REG01 0x1501
#define STV_REG02 0x1502
#define STV_REG03 0x1503
#define STV_REG04 0x1504

#define STV_REG23 0x0423

void quick_i2c_out(int fd, int reg, int val);
void quick_i2c_out2(int fd, int reg, int val);
void quick_i2c_out_vv(int fd, int reg, int val);
void i2c_out(int fd, int i2c_addr, int cmd, int len, char *reg, char *value);
void quick_reg_out1(int fd, int reg, int val);
void quick_reg_out2(int fd, int reg, int val);
int quick_reg_in(int fd, int reg);
void quick_reg_outn(int fd, int reg, int len, char *data);

